Search Products
GET
Live AliExpress keyword search over the residential proxy pool.
HTTPBearerheader
AuthorizationBearer <token>keyword*KeywordSearch keyword.
Length
1 <= lengthpage?PageResult page (1-5).
Range
1 <= value <= 5Default
1Successful Response
application/json- response
GET /product-research/search — one page of live AliExpress results.
keyword*Keywordpage*Pagetotal_results?integer|nullpage_size?integer|nullitems?array<>ranking_keywords?array<string>related_product_ids?array<string>curl -X GET 'https://app.copyhero.app/api/v1/product-research/search?keyword=string'Example Response
{ "keyword": "string", "page": 0, "total_results": 0, "page_size": 0, "items": [ { "product_id": "string", "title": "string", "product_url": "string", "sale_price": { "min_price": 0, "formatted_price": "string", "cent": 0, "currency_code": "string", "discount": 0 }, "original_price": { "min_price": 0, "formatted_price": "string", "cent": 0, "currency_code": "string", "discount": 0 }, "sold_count": 0, "sold_text": "string", "rating": 0, "image_url": "string", "images": [ "string" ], "is_ad": true, "is_choice": true, "category_id": "string", "launch_time": "string", "delivery_info": "string" } ], "ranking_keywords": [ "string" ], "related_product_ids": [ "string" ]}